import { request } from '@/config/sellerCenterRequest.js'
// 商户登录方法
export const loginBusiness = (data) => {
  return request(`/login-business`, 'post', data)
}
// 商户中心统计
export const workerStatistics = (data) => {
  return request(`/system/businessProduct/worker/statistics`, 'get')
}
// 核销员核销门票
export const workerVerification = (data) => {
  return request(`/system/businessProduct/worker/verification`, 'post', data)
}
// 核销员分页查询门店下的已核销票据订单列表
export const workerPage = (data) => {
  return request(`/system/businessProduct/worker/page`, 'get', data)
}
// 商户门店信息
export const workerBusiness = () => {
  return request(`/system/businessProduct/worker/business`, 'get')
}
// 核销员 获取票据订单详细信息
export const workerDetail = (data) => {
  return request(`/system/businessProduct/worker/detail`, 'get', data)
}
// 核销员查询自己的已核销票据订单详细信息
export const workerInfo = (data) => {
  return request(`/system/businessProduct/worker/info`, 'get', data)
}
// 管理员信息
export const userProfile = () => {
  return request(`/system/user/profile`, 'get')
}